/** COLOR */
.bg-main {
  background-color: #263d3f !important;
}

.bg-main-2 {
  background-color: #0f2828 !important;
}

.bg-secondary {
  background-color: #cdde00 !important;
}

.bg-grey {
  background-color: #E8E8E8 !important;
}

.text-main {
  color: #263d3f !important;
}

.text-secondary {
  color: #cdde00 !important;
}

.btn-main {
  color: #263d3f !important;
  background-color: #cdde00 !important;
  border: none;
  border-radius: 0;
  padding: 7px 50px 7px 50px;
}

.btn-main:hover {
  color: #263d3f !important;
  background-color: #cdde00 !important;
  border-color: #cdde00 !important;
}

/*ALIGN*/
.ta-center {
  text-align: center !important;
}

.ta-left {
  text-align: left !important;
}

.ta-right {
  text-align: right !important;
}

.ta-justify {
  text-align: justify !important;
}

/*HEIGHT*/
.hAuto {
  height: auto !important;
}

.h30 {
  height: 30px !important;
}

.h50 {
  height: 50px !important;
}

.h60 {
  height: 60px !important;
}

.h70 {
  height: 70px !important;
}

.h80 {
  height: 80px !important;
}

.h90 {
  height: 90px !important;
}

.h100 {
  height: 100px !important;
}

.h110 {
  height: 110px !important;
}

.h120 {
  height: 120px !important;
}

.h130 {
  height: 130px !important;
}

.h140 {
  height: 140px !important;
}

.h150 {
  height: 150px !important;
}

.h200 {
  height: 200px !important;
}

.h250 {
  height: 250px !important;
}

.h300 {
  height: 300px !important;
}

.h350 {
  height: 350px !important;
}

.h360 {
  height: 360px !important;
}

.h370 {
  height: 370px !important;
}

.h380 {
  height: 380px !important;
}

.h400 {
  height: 400px !important;
}

.h430 {
  height: 430px !important;
}

.h450 {
  height: 450px !important;
}

.h460 {
  height: 460px !important;
}

.h470 {
  height: 470px !important;
}

.h500 {
  height: 500px !important;
}

.h550 {
  height: 550px !important;
}

.h600 {
  height: 600px !important;
}

.h650 {
  height: 650px !important;
}

/*WIDTH*/
.wAuto {
  width: auto !important;
}

.w10 {
  width: 10px !important;
}

.w20 {
  width: 20px !important;
}

.w30 {
  width: 30px !important;
}

.w40 {
  width: 40px !important;
}

.w100 {
  width: 100px !important;
}

.w120 {
  width: 120px !important;
}

.w130 {
  width: 130px !important;
}

.w140 {
  width: 140px !important;
}

.w150 {
  width: 150px !important;
}

.w160 {
  width: 160px !important;
}

.w165 {
  width: 165px !important;
}

.w170 {
  width: 170px !important;
}

.w180 {
  width: 180px !important;
}

.w190 {
  width: 190px !important;
}

.w200 {
  width: 200px !important;
}

.w250 {
  width: 250px !important;
}

.w300 {
  width: 300px !important;
}

.w350 {
  width: 350px !important;
}

.w400 {
  width: 400px !important;
}

.w450 {
  width: 450px !important;
}

.w500 {
  width: 500px !important;
}

.w550 {
  width: 550px !important;
}

.w600 {
  width: 600px !important;
}

/*RADIUS*/
.r0 {
  border-radius: 0px !important;
}

.r5 {
  border-radius: 5px !important;
}

.r7 {
  border-radius: 7px !important;
}

.r8 {
  border-radius: 8px !important;
}

.r9 {
  border-radius: 9px !important;
}

.r10 {
  border-radius: 10px !important;
}

.r15 {
  border-radius: 15px !important;
}

.r20 {
  border-radius: 20px !important;
}

.r25 {
  border-radius: 25px !important;
}

.r30 {
  border-radius: 30px !important;
}

.r50p {
  border-radius: 50% !important;
}

/* MARGIN TOP*/
.mt3 {
  margin-top: 3px !important;
}

.mt5 {
  margin-top: 5px !important;
}

.mt7 {
  margin-top: 7px !important;
}

.mt8 {
  margin-top: 8px !important;
}

.mt9 {
  margin-top: 9px !important;
}

.mt10 {
  margin-top: 10px !important;
}

.mt15 {
  margin-top: 15px !important;
}

.mt20 {
  margin-top: 20px !important;
}

.mt25 {
  margin-top: 25px !important;
}

.mt30 {
  margin-top: 30px !important;
}

.mt35 {
  margin-top: 35px !important;
}

.mt40 {
  margin-top: 40px !important;
}

/* MARGIN BOTTOM */
.mb5 {
  margin-bottom: 5px !important;
}

.mb10 {
  margin-bottom: 10px !important;
}

.mb15 {
  margin-bottom: 15px !important;
}

.mb20 {
  margin-bottom: 20px !important;
}

.mb25 {
  margin-bottom: 25px !important;
}

.mb30 {
  margin-bottom: 30px !important;
}

.mb35 {
  margin-bottom: 35px !important;
}

.mb40 {
  margin-bottom: 40px !important;
}

/*MARGIN RIGHT*/
.mr3 {
  margin-right: 3px !important;
}

.mr5 {
  margin-right: 5px !important;
}

.mr10 {
  margin-right: 10px !important;
}

.mr15 {
  margin-right: 15px !important;
}

.mr20 {
  margin-right: 20px !important;
}

.mr25 {
  margin-right: 25px !important;
}

.mr30 {
  margin-right: 30px !important;
}

.mr35 {
  margin-right: 35px !important;
}

/*MARGIN LEFT*/
.mlpercent3 {
  margin-left: 3.2% !important;
}

.ml-5 {
  margin-left: -5px !important;
}

.ml3 {
  margin-left: 3px !important;
}

.ml5 {
  margin-left: 5px !important;
}

.ml7 {
  margin-left: 7px !important;
}

.ml8 {
  margin-left: 8px !important;
}

.ml10 {
  margin-left: 10px !important;
}

.ml15 {
  margin-left: 15px !important;
}

.ml20 {
  margin-left: 20px !important;
}

.ml25 {
  margin-left: 25px !important;
}

.ml30 {
  margin-left: 30px !important;
}

.ml35 {
  margin-left: 35px !important;
}

.ml40 {
  margin-left: 40px !important;
}

.ml45 {
  margin-left: 45px !important;
}

.ml50 {
  margin-left: 50px !important;
}

/*POSITION*/
.leftMargin25 {
  margin-left: 25% !important;
}

.leftMargin18 {
  margin-left: 18% !important;
}

.leftMargin10 {
  margin-left: 10% !important;
}

.rightMargin25 {
  margin-right: 25% !important;
}

/* PADDING TOP */
.pt5 {
  padding-top: 5px !important;
}

.pt10 {
  padding-top: 10px !important;
}

.pt15 {
  padding-top: 15px !important;
}

.pt40 {
  padding-top: 40px !important;
}

.pt-6 {
  padding-top: 5rem !important;
}

/* PADDING BOTTOM */
.pb5 {
  padding-bottom: 5px !important;
}

.pb10 {
  padding-bottom: 10px !important;
}

.pb15 {
  padding-bottom: 15px !important;
}

.pb20 {
  padding-bottom: 20px !important;
}

.pb25 {
  padding-bottom: 25px !important;
}

.pb30 {
  padding-bottom: 30px !important;
}

.pb35 {
  padding-bottom: 35px !important;
}

.pb40 {
  padding-bottom: 40px !important;
}

.pb45 {
  padding-bottom: 45px !important;
}

/* TOP */
.top5 {
  top: 5px !important;
}

.top10 {
  top: 10px !important;
}

.top15 {
  top: 15px !important;
}

.top20 {
  top: 20px !important;
}

.top25 {
  top: 25px !important;
}

.top30 {
  top: 30px !important;
}

.top40 {
  top: 40px !important;
}

.top50 {
  top: 50px !important;
}

.top55 {
  top: 55px !important;
}

.top60 {
  top: 60px !important;
}

/* FONT SIZE */
.font5 {
  font-size: 5px !important;
}

.font6 {
  font-size: 6px !important;
}

.font7 {
  font-size: 7px !important;
}

.font8 {
  font-size: 8px !important;
}

.font9 {
  font-size: 9px !important;
}

.font10 {
  font-size: 10px !important;
}

.font11 {
  font-size: 11px !important;
}

.font12 {
  font-size: 12px !important;
}

.font13 {
  font-size: 13px !important;
}

.font14 {
  font-size: 14px !important;
}

.font15 {
  font-size: 15px !important;
}

.font16 {
  font-size: 16px !important;
}

.font17 {
  font-size: 17px !important;
}

.font18 {
  font-size: 18px !important;
}

.font19 {
  font-size: 19px !important;
}

.font20 {
  font-size: 20px !important;
}

.font21 {
  font-size: 21px !important;
}

.font22 {
  font-size: 22px !important;
}

.font23 {
  font-size: 23px !important;
}

.font24 {
  font-size: 24px !important;
}

.font25 {
  font-size: 25px !important;
}

.font26 {
  font-size: 26px !important;
}

.font30 {
  font-size: 30px !important;
}

.font35 {
  font-size: 35px !important;
}

.font40 {
  font-size: 40px !important;
}

.font45 {
  font-size: 45px !important;
}

.font50 {
  font-size: 50px !important;
}

.font60 {
  font-size: 60px !important;
}

.font150 {
  font-size: 150px !important;
}

/*COLOR*/

.white {
  color: #fff !important;
}

/*BACKGROUND COLOR*/

/* FONT FAMILY*/
.comicSans {
  font-family: "Comic Sans MS", cursive, sans-serif !important;
}

.arial {
  font-family: Arial, Helvetica, sans-serif !important;
}

.gillSans {
  font-family: "Gill Sans", sans-serif !important;
}

/*FONT STYLE*/
.fsi {
  font-style: italic !important;
}

.fsb {
  font-weight: bold !important;
}

.fseb {
  font-family: 'MyCustomFont', sans-serif;
  font-weight: 800; /* or 900 depending on your choice in @font-face */
}

.fsu {
  text-transform: uppercase !important;
}

.lh1 {
  line-height: 1 !important;
}

.lh15 {
  line-height: 1.5 !important;
}

.lh2 {
  line-height: 2 !important;
}

.ls0 {
  letter-spacing: 0px !important;
}

.ls1 {
  letter-spacing: 1px !important;
}

.ls2 {
  letter-spacing: 2px !important;
}

.ls3 {
  letter-spacing: 3px !important;
}

.ls5 {
  letter-spacing: 5px !important;
}

.ls6 {
  letter-spacing: 6px !important;
}

.ls7 {
  letter-spacing: 7px !important;
}

.ls8 {
  letter-spacing: 8px !important;
}

.ls9 {
  letter-spacing: 9px !important;
}

.ls10 {
  letter-spacing: 10px !important;
}

.ls15 {
  letter-spacing: 15px !important;
}

.lhi {
  line-height: inherit !important;
}

/* DISPLAY*/
.display-inline {
  display: inline !important;
}

.display-none {
  display: none !important;
}

/*CONTENT*/
.minContent250 {
  min-height: 250px !important;
}

.minContent300 {
  min-height: 300px !important;
}

.minContent500 {
  min-height: 500px !important;
}

.zindex0 {
  z-index:0 !important;
}

.zindex999 {
  z-index:999 !important;
}

/*POINTER*/
.pointer {
  cursor: pointer !important;
}

/* ERROR */
.errorLabelIinput {
  color: red !important;
  font-size: 10px !important;
  font-style: italic;
}

.se-pre-con {
  position: fixed;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  z-index: 9999;
  background: url(http://localhost:8080/eclaire/assets/the-adm/dist/img/Preloader_3.gif) center no-repeat #fff;
}

.se-pre-con-click {
  position: fixed;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  z-index: 9999;
  background: url(http://localhost:8080/eclaire/assets/the-adm/dist/img/Preloader_3.gif) center no-repeat #fff;
}

/* CUSTOM */
.click_row:hover {
  background-color: #dee2e6 !important;
}

.scroll-y
{
  overflow-y: auto !important;
}

.maxh500 {
  max-height:500px !important;
}

.maxh550 {
  max-height:550px !important;
}

.maxh560 {
  max-height:560px !important;
}

/* REPLACE */
.btn-outline-primary {
  color: var(--bs-primary);
  border-color: var(--bs-primary);
}

.btn-outline-primary:hover {
  color: #fff;
  background-color: var(--bs-primary);
  border-color: var(--bs-primary);
}

.btn-check:checked+.btn-outline-primary, .btn-check:active+.btn-outline-primary, .btn-outline-primary:active, .btn-outline-primary.active, .btn-outline-primary.dropdown-toggle.show {
  color: #fff;
  background-color: var(--bs-primary);
  border-color: var(--bs-primary);
}

h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1 {
  margin-top: 0;
  margin-bottom: .5rem;
  font-family: "League Spartan", serif;
  font-weight: 500;
  line-height: 1.2;
  color: #cdde00;
}

.btn {
  display: inline-block;
  font-weight: 400;
  line-height: 1.5;
  color: #787878;
  text-align: center;
  vertical-align: middle;
  cursor: pointer;
  user-select: none;
  background-color: rgba(0, 0, 0, 0);
  border: 1px solid rgba(0, 0, 0, 0);
  padding: .375rem .75rem;
  font-size: 1rem;
  border-radius: 0px;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.navbar-light .navbar-nav .nav-link:hover, .navbar-light .navbar-nav .nav-link:focus {
  color: #cdde00
}

.ms-auto {
  margin-left: 0px !important;
}

.input-group-text {
  display: flex;
  align-items: center;
  padding: .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #000000;
  text-align: center;
  white-space: nowrap;
  background-color: #ffffff;
  border-top: 1px solid #000000;
  border-right: 1px solid #000000;
  border-bottom: 1px solid #000000;
  border-left: none;
  border-radius: 0px;
}

.form-control-group-input {
  display: block;
  width: 50%;
  padding: .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #787878;
  background-color: #fff;
  background-clip: padding-box;
  border-top: 1px solid #000000;
  border-right: none;
  border-bottom: 1px solid #000000;
  border-left: 1px solid #000000;
  appearance: none;
  border-radius: 0px;
  transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.form-control-group-input-2 {
  display: block;
  width: 50%;
  padding: .375rem .75rem;
  font-size: 0.9rem;
  font-weight: 400;
  line-height: 1.5;
  color: #787878;
  background-color: #fff;
  background-clip: padding-box;
  border-top: 1px solid #000000;
  border-right: 1px solid #000000;
  border-bottom: 1px solid #000000;
  border-left: 1px solid #000000;
  appearance: none;
  border-radius: 0px;
  transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.form-select {
  display: block;
  width: 100%;
  padding: .375rem 2.25rem .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #787878;
  background-color: #fff;
  background-repeat: no-repeat;
  background-position: right .75rem center;
  background-size: 16px 12px;
  /* border: 1px solid #000000; */
  border-radius: 0px;
  appearance: none;
}

.form-control:disabled, .form-control:read-only {
  background-color: #ffffff;
  opacity: 1;
}

.input-group {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  width: 100%;
}

.btn-outline-primary {
  color: var(--bs-primary);
  border-color: var(--bs-primary);
}

.btn-outline-primary:hover {
  color: #fff;
  background-color: var(--bs-primary);
  border-color: var(--bs-primary);
}

.btn-check:checked+.btn-outline-primary, .btn-check:active+.btn-outline-primary, .btn-outline-primary:active, .btn-outline-primary.active, .btn-outline-primary.dropdown-toggle.show {
  color: #fff;
  background-color: var(--bs-primary);
  border-color: var(--bs-primary);
}

.btn-outline-yellow {
  color: var(--bs-yellow);
  border-color: var(--bs-yellow);
}

.btn-outline-yellow:hover {
  color: #fff;
  background-color: var(--bs-yellow);
  border-color: var(--bs-yellow);
}

.btn-check:checked+.btn-outline-yellow, .btn-check:active+.btn-outline-yellow, .btn-outline-yellow:active, .btn-outline-yellow.active, .btn-outline-yellow.dropdown-toggle.show {
  color: #fff;
  background-color: var(--bs-yellow);
  border-color: var(--bs-yellow);
}

/*FONT*/
.thin {
  font-family: "League Spartan", serif;
  font-optical-sizing: auto;
  font-weight: 100;
  font-style: normal;
}

.modal
{
  overflow: scroll !important;
}

/* --- Mobile (ukuran kecil dan sedang) --- */
@media (max-width: 768px) {
  .form-control-group-input {
    display: block;
    width: 65%;
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #787878;
    background-color: #fff;
    background-clip: padding-box;
    border-top: 1px solid #000000;
    border-right: none;
    border-bottom: 1px solid #000000;
    border-left: 1px solid #000000;
    appearance: none;
    border-radius: 0px;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
  }
}

/* --- Tablet (ukuran kecil) --- */
@media (min-width: 768px) and (max-width: 1024px) {
  .form-control-group-input {
    display: block;
    width: 65%;
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #787878;
    background-color: #fff;
    background-clip: padding-box;
    border-top: 1px solid #000000;
    border-right: none;
    border-bottom: 1px solid #000000;
    border-left: 1px solid #000000;
    appearance: none;
    border-radius: 0px;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
  }
}

/* --- Tablet (ukuran besar) --- */
@media (min-width: 1024px) and (max-width: 1336px) {
  .form-control-group-input {
    display: block;
    width: 65%;
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #787878;
    background-color: #fff;
    background-clip: padding-box;
    border-top: 1px solid #000000;
    border-right: none;
    border-bottom: 1px solid #000000;
    border-left: 1px solid #000000;
    appearance: none;
    border-radius: 0px;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
  }
}